Subject: bug#31873: head/tail --help K != N

From: Pádraig Brady <[email-masked]>
Date: Sun, 17 Jun 2018 15:20:41 -0700

tag 31873 notabug
close 31873
stop

On 17/06/18 14:47, Karl Berry wrote:
> It's just an idea, and a tiny one at that, but I was momentarily
> perplexed by the lines like
>   -n, --lines=[-]K
> in head --help, making it look like the number is given in kilobytes,
> when I knew that was not correct :).
> 
> So I suggest replacing K with N in the --help messages when the metavar
> is standing for just a number, especially/only a number that takes a
> suffix. FWIW ... --best, karl.

Already done for a while now in:
https://git.sv.gnu.org/gitweb/?p=coreutils.git;a=commitdiff;h=v8.24-101-gf7ab20c

cheers,
Pádraig